Bug 175141 - [PATCH] games/uqm: Update to 0.7.0
Summary: [PATCH] games/uqm: Update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 17:40 UTC by lightside
Modified: 2013-02-16 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (10.37 KB, patch)
2013-01-08 17:40 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2013-01-08 17:40:00 UTC
Patch to update games/uqm port to 0.7.0 version.

Look following link for changes:
http://sourceforge.net/projects/sc2/files/UQM/0.7/

Also the patch adds license information and converts Makefile to OptionsNG.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-08 17:40:08 UTC
Maintainer of games/uqm,

Please note that PR ports/175141 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175141

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-08 17:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Benjamin Lutz 2013-01-20 13:53:13 UTC
On 01/08/2013 06:40 PM, Edwin Groothuis wrote:
> Maintainer of games/uqm,
>
> Please note that PR ports/175141 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175141
>

Unfortunately I don't have a desktop FreeBSD system with which to test 
the patch at the moment. I therefore approve the patch by default.

Regards,
Benjamin
Comment 4 dfilter service freebsd_committer 2013-02-16 21:02:53 UTC
Author: pawel
Date: Sat Feb 16 21:02:43 2013
New Revision: 312385
URL: http://svnweb.freebsd.org/changeset/ports/312385

Log:
  - Update to version 0.7.0
  - Add LICENSE info
  - Convert to OptionsNG
  
  PR:		ports/175141
  Submitted by:	Sender Ghost <lightside@gmx.com>
  Approved by:	maintainer

Modified:
  head/games/uqm/Makefile
  head/games/uqm/distinfo
  head/games/uqm/files/patch-build-unix-build_functions
  head/games/uqm/files/patch-build-unix-config_proginfo_host
  head/games/uqm/pkg-plist

Modified: head/games/uqm/Makefile
==============================================================================
--- head/games/uqm/Makefile	Sat Feb 16 20:54:38 2013	(r312384)
+++ head/games/uqm/Makefile	Sat Feb 16 21:02:43 2013	(r312385)
@@ -1,109 +1,100 @@
-# Ports collection makefile for:   uqm
-# Date created:                    14 September 2003
-# Whom:                            benlutz@datacomm.ch
-#
+# Created by: benlutz@datacomm.ch
 # $FreeBSD$
-#
-# Ur-Quan Masters offers add-on packages that enhance the game. These are
-# optional. The following add-ons exist at the moment:
-#
-# Voice add-on (110 MB). Enable this with -DWITH_VOICE
-#
-# 3DO Music add-on (18 MB). Enable this with -DWITH_MUSIC
-#
 
 PORTNAME=	uqm
-PORTVERSION=	0.6.2
-PORTREVISION=	13
+PORTVERSION=	0.7.0
 CATEGORIES=	games
-MASTER_SITES=	SF/sc2/UQM/${PORTVERSION}
+MASTER_SITES=	SF/sc2/UQM/${PORTVERSION:R}
 DISTFILES=	${PORTNAME}-${PORTVERSION}-source.tgz ${PORTNAME}-${DATAVERSION}-content.uqm
 EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}-source.tgz
 
 MAINTAINER=	benlutz@datacomm.ch
-COMMENT=	A port of the original Star Control 2 for 3DO consoles
+COMMENT=	Port of the original Star Control 2 for 3DO consoles
 
-LIB_DEPENDS=	vorbis.4:${PORTSDIR}/audio/libvorbis \
-		mikmod.2:${PORTSDIR}/audio/libmikmod
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	vorbis:${PORTSDIR}/audio/libvorbis \
+		mikmod:${PORTSDIR}/audio/libmikmod
 
 USE_GMAKE=	yes
 USE_SDL=	image sdl
 NO_INSTALL_MANPAGES=	yes
-DATAVERSION=	0.6.0
+DATAVERSION=	0.7.0
 
-OPTIONS=	VOICE "Voice add-on (110MB)" Off \
-		MUSIC "Music add-on (18MB)" Off \
-		OPENAL "OpenAL support (experimental)" Off
+OPTIONS_DEFINE=	VOICE MUSIC OPENAL DOCS
+MUSIC_DESC=	Music add-on
+VOICE_DESC=	Voice add-on
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.ifdef(WITH_VOICE)
+.if ${PORT_OPTIONS:MVOICE}
 DISTFILES+=	${PORTNAME}-${DATAVERSION}-voice.uqm
 PLIST_SUB+=	VOICEADDON=""
 .else
 PLIST_SUB+=	VOICEADDON="@comment "
 .endif
 
-.ifdef(WITH_MUSIC)
+.if ${PORT_OPTIONS:MMUSIC}
 DISTFILES+=	${PORTNAME}-${DATAVERSION}-3domusic.uqm
 PLIST_SUB+=	MUSICADDON=""
 .else
 PLIST_SUB+=	MUSICADDON="@comment "
 .endif
 
-.ifdef(WITH_OPENAL)
+.if ${PORT_OPTIONS:MOPENAL}
 USE_OPENAL=	al
 .endif
 
 post-extract:
-	${MKDIR} ${WRKSRC}/sc2/content/packages
-	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-content.uqm ${WRKSRC}/sc2/content/packages/
+	${MKDIR} ${WRKSRC}/content/packages
+	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-content.uqm ${WRKSRC}/content/packages/
 .ifdef(WITH_VOICE)
-	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-voice.uqm ${WRKSRC}/sc2/content/packages/
+	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-voice.uqm ${WRKSRC}/content/packages/
 .endif
 .ifdef(WITH_MUSIC)
-	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-3domusic.uqm ${WRKSRC}/sc2/content/packages/
+	${CP} ${DISTDIR}/${PORTNAME}-${DATAVERSION}-3domusic.uqm ${WRKSRC}/content/packages/
 .endif
 
 do-configure:
-	@${ECHO_MSG} CHOICE_debug_VALUE=\'nodebug\' >  ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} CHOICE_graphics_VALUE=\'opengl\' >> ${WRKSRC}/sc2/config.state
-.ifdef(WITH_OPENAL)
-	@${ECHO_MSG} CHOICE_sound_VALUE=\'openal\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_debug_VALUE=\'nodebug\' >  ${WRKSRC}/config.state
+	@${ECHO_MSG} CHOICE_graphics_VALUE=\'opengl\' >> ${WRKSRC}/config.state
+.if ${PORT_OPTIONS:MOPENAL}
+	@${ECHO_MSG} CHOICE_sound_VALUE=\'openal\' >> ${WRKSRC}/config.state
 .else
-	@${ECHO_MSG} CHOICE_sound_VALUE=\'mixsdl\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_sound_VALUE=\'mixsdl\' >> ${WRKSRC}/config.state
 .endif
-	@${ECHO_MSG} CHOICE_mikmod_VALUE=\'external\' >> ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} CHOICE_ovcodec_VALUE=\'standard\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_mikmod_VALUE=\'external\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} CHOICE_ovcodec_VALUE=\'standard\' >> ${WRKSRC}/config.state
 .ifdef(NO_INET6)
-	@${ECHO_MSG} CHOICE_netplay_VALUE=\'full\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_netplay_VALUE=\'full\' >> ${WRKSRC}/config.state
 .else
-	@${ECHO_MSG} CHOICE_netplay_VALUE=\'ipv4\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_netplay_VALUE=\'ipv4\' >> ${WRKSRC}/config.state
 .endif
-	@${ECHO_MSG} CHOICE_joystick_VALUE=\'enabled\' >> ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} CHOICE_ioformat_VALUE=\'stdio_zip\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_joystick_VALUE=\'enabled\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} CHOICE_ioformat_VALUE=\'stdio_zip\' >> ${WRKSRC}/config.state
 .if ${ARCH} == "i386"
-	@${ECHO_MSG} CHOICE_accel_VALUE=\'asm\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_accel_VALUE=\'asm\' >> ${WRKSRC}/config.state
 .else
-	@${ECHO_MSG} CHOICE_accel_VALUE=\'plainc\' >> ${WRKSRC}/sc2/config.state
+	@${ECHO_MSG} CHOICE_accel_VALUE=\'plainc\' >> ${WRKSRC}/config.state
 .endif
-	@${ECHO_MSG} INPUT_install_prefix_VALUE=\'${PREFIX}\' >> ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} INPUT_install_bindir_VALUE=\''$$prefix/bin'\' >> ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} INPUT_install_libdir_VALUE=\''$$prefix/lib'\' >> ${WRKSRC}/sc2/config.state
-	@${ECHO_MSG} INPUT_install_sharedir_VALUE=\''$$prefix/share'\' >> ${WRKSRC}/sc2/config.state
-	cd ${WRKSRC}/sc2 && ${SETENV} LOCALBASE=${LOCALBASE} PREFIX=${PREFIX} ./build.sh uqm config
+	@${ECHO_MSG} CHOICE_threadlib_VALUE=\'sdl\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} INPUT_install_prefix_VALUE=\'${PREFIX}\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} INPUT_install_bindir_VALUE=\''$$prefix/bin'\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} INPUT_install_libdir_VALUE=\''$$prefix/lib'\' >> ${WRKSRC}/config.state
+	@${ECHO_MSG} INPUT_install_sharedir_VALUE=\''$$prefix/share'\' >> ${WRKSRC}/config.state
+	cd ${WRKSRC} && ${SETENV} LOCALBASE=${LOCALBASE} PREFIX=${PREFIX} ./build.sh uqm config
 
 do-build:
-	cd ${WRKSRC}/sc2 && ./build.sh uqm
+	cd ${WRKSRC} && ./build.sh uqm
 
 do-install:
-	cd ${WRKSRC}/sc2 && ./build.sh uqm install
+	cd ${WRKSRC} && ./build.sh uqm install
 
 post-install:
 	${STRIP_CMD} ${PREFIX}/lib/uqm/uqm
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-	${INSTALL_MAN} ${WRKSRC}/sc2/doc/users/manual.txt ${DOCSDIR}
+	${INSTALL_MAN} ${WRKSRC}/doc/users/manual.txt ${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/games/uqm/distinfo
==============================================================================
--- head/games/uqm/distinfo	Sat Feb 16 20:54:38 2013	(r312384)
+++ head/games/uqm/distinfo	Sat Feb 16 21:02:43 2013	(r312385)
@@ -1,8 +1,8 @@
-SHA256 (uqm-0.6.2-source.tgz) = d8d5e15b8eae2b4859eeee82edfca811fadef204c8c6e2112b8fe6aa4a396ea1
-SIZE (uqm-0.6.2-source.tgz) = 1497342
-SHA256 (uqm-0.6.0-content.uqm) = 727679a66351d435c1a3c53ca3d2e87079f1f05c09fa0748035ed68fff1cd63d
-SIZE (uqm-0.6.0-content.uqm) = 11580000
-SHA256 (uqm-0.6.0-voice.uqm) = ee84c90873a996771ddfa2154640620e374366fffb51e18dfdfb4236050bc27a
-SIZE (uqm-0.6.0-voice.uqm) = 114823409
-SHA256 (uqm-0.6.0-3domusic.uqm) = c3e72569720d1e17ab2d08301d9dc90f2c4ab272811c488e18f878f38b84cac8
-SIZE (uqm-0.6.0-3domusic.uqm) = 18980071
+SHA256 (uqm-0.7.0-source.tgz) = a3695c5f7f0be7ec9c0f80ec569907b382023a1fee6e635532bd53b7b53bb221
+SIZE (uqm-0.7.0-source.tgz) = 1562003
+SHA256 (uqm-0.7.0-content.uqm) = b8f6db8ba29f0628fb1d5c233830896b19f441aee3744bda671ea264b44da3bf
+SIZE (uqm-0.7.0-content.uqm) = 11538533
+SHA256 (uqm-0.7.0-voice.uqm) = bcccf801b4ba37594ff6217b292744ea586ee2d447e927804842ccae8b73c979
+SIZE (uqm-0.7.0-voice.uqm) = 115143439
+SHA256 (uqm-0.7.0-3domusic.uqm) = c57085e64dad4bddf8a679a9aa2adf63f2156d5f6cbabe63af80519033dbcb82
+SIZE (uqm-0.7.0-3domusic.uqm) = 18980671

Modified: head/games/uqm/files/patch-build-unix-build_functions
==============================================================================
--- head/games/uqm/files/patch-build-unix-build_functions	Sat Feb 16 20:54:38 2013	(r312384)
+++ head/games/uqm/files/patch-build-unix-build_functions	Sat Feb 16 21:02:43 2013	(r312385)
@@ -1,11 +1,11 @@
---- sc2/build/unix/build_functions.orig	Tue Dec 26 21:05:30 2006
-+++ sc2/build/unix/build_functions	Tue Dec 26 21:05:38 2006
+--- build/unix/build_functions.orig	2011-05-20 23:25:22.000000000 +0400
++++ build/unix/build_functions	2013-01-08 19:54:57.000000000 +0400
 @@ -56,7 +56,7 @@
  	eval "${TARGET}_requirements"
  	eval "${TARGET}_prepare_config"
  	eval "${TARGET}_load_config"
 -	eval "${TARGET}_do_config"
-+	#eval "${TARGET}_do_config"
++#	eval "${TARGET}_do_config"
  	eval "${TARGET}_save_config"
  }
  

Modified: head/games/uqm/files/patch-build-unix-config_proginfo_host
==============================================================================
--- head/games/uqm/files/patch-build-unix-config_proginfo_host	Sat Feb 16 20:54:38 2013	(r312384)
+++ head/games/uqm/files/patch-build-unix-config_proginfo_host	Sat Feb 16 21:02:43 2013	(r312385)
@@ -1,28 +1,15 @@
---- sc2/build/unix/config_proginfo_host.orig	Tue Dec 26 21:07:45 2006
-+++ sc2/build/unix/config_proginfo_host	Tue Dec 26 21:09:26 2006
-@@ -55,9 +55,9 @@
- LIB_SDL_NAME="Simple DirectMedia Layer"
- case "$HOST_SYSTEM" in
- 	FreeBSD)
--		LIB_SDL_CFLAGS='$(sdl11-config --cflags)'
--		LIB_SDL_LDFLAGS='$(sdl11-config --libs)'
--		LIB_SDL_VERSION='$(sdl11-config --version)'
-+		LIB_SDL_CFLAGS='$(sdl-config --cflags)'
-+		LIB_SDL_LDFLAGS='$(sdl-config --libs)'
-+		LIB_SDL_VERSION='$(sdl-config --version)'
- 		;;
- 	Darwin)
- 		LIB_SDL_CFLAGS=''
-@@ -102,7 +102,7 @@
+--- build/unix/config_proginfo_host.orig	2011-05-20 23:25:22.000000000 +0400
++++ build/unix/config_proginfo_host	2013-01-08 19:49:40.000000000 +0400
+@@ -115,7 +115,7 @@
  LIB_openal_CFLAGS=""
  case "$HOST_SYSTEM" in
  	FreeBSD|OpenBSD)
 -		LIB_openal_LDFLAGS="-L/usr/local/lib -pthread -lopenal"
 +		LIB_openal_LDFLAGS="-L${LOCALBASE}/lib -pthread -lopenal"
  		;;
- 	MINGW32*|CYGWIN*)
+ 	MINGW32*|CYGWIN*|cegcc)
  		LIB_openal_LDFLAGS="-lopenal32"
-@@ -124,8 +124,8 @@
+@@ -144,8 +144,8 @@
  LIB_opengl_NAME="OpenGL"
  case "$HOST_SYSTEM" in
  	FreeBSD|OpenBSD)
@@ -31,9 +18,9 @@
 +		LIB_opengl_CFLAGS="-I${LOCALBASE}/include -D_THREAD_SAFE"
 +		LIB_opengl_LDFLAGS="-L${LOCALBASE}/lib -lX11 -lXext -pthread -lGL"
  		;;
- 	MINGW32*|CYGWIN*)
+ 	MINGW32*|CYGWIN*|cegcc)
  		LIB_opengl_CFLAGS=""
-@@ -154,8 +154,8 @@
+@@ -182,8 +182,8 @@
  LIB_vorbisfile_NAME="vorbisfile"
  case "$HOST_SYSTEM" in
  	FreeBSD|OpenBSD)
@@ -42,9 +29,9 @@
 +		LIB_vorbisfile_CFLAGS="-I${LOCALBASE}/include"
 +		LIB_vorbisfile_LDFLAGS="-L${LOCALBASE}/lib -lvorbisfile -lvorbis"
  		;;
- 	MINGW32*|CYGWIN*)
+ 	MINGW32*|CYGWIN*|cegcc)
  		LIB_vorbisfile_CFLAGS=""
-@@ -183,8 +183,8 @@
+@@ -221,8 +221,8 @@
  LIB_tremor_NAME="tremor"
  case "$HOST_SYSTEM" in
  	FreeBSD|OpenBSD)

Modified: head/games/uqm/pkg-plist
==============================================================================
--- head/games/uqm/pkg-plist	Sat Feb 16 20:54:38 2013	(r312384)
+++ head/games/uqm/pkg-plist	Sat Feb 16 21:02:43 2013	(r312385)
@@ -1,9 +1,9 @@
 bin/uqm
 lib/uqm/uqm
-%%DATADIR%%/content/packages/uqm-0.6.0-content.uqm
+%%DATADIR%%/content/packages/uqm-0.7.0-content.uqm
 %%DATADIR%%/content/version
-%%VOICEADDON%%%%DATADIR%%/content/packages/uqm-0.6.0-voice.uqm
-%%MUSICADDON%%%%DATADIR%%/content/packages/uqm-0.6.0-3domusic.uqm
+%%VOICEADDON%%%%DATADIR%%/content/packages/uqm-0.7.0-voice.uqm
+%%MUSICADDON%%%%DATADIR%%/content/packages/uqm-0.7.0-3domusic.uqm
 @dirrm %%DATADIR%%/content/packages
 @dirrm %%DATADIR%%/content
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-02-16 21:03:05 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!